Subject: Re: Shadow Mapping
From: [email-masked] (Mike Powell)
Date: 8 Dec 1994 01:37:56 GMT
Newsgroups: comp.graphics.packages.lightwave

Mark Thompson ([email-masked]) wrote:
: [email-masked] (Brian Dupras) writes:
: |> > shadow mapping....The map most often ends up with large blocky artifacts.
: |> > Increasing the Shadow Map Size
: |> > decreased the size of the "stair-steps", but we ran out of 32MB of RAM

: |> we turned off the "use cone angle" feature and
: |> manually positioned the shadow map box (from the light view) over the
: |> small area that the rig was in. 

: With "Use Cone Angle" disabled, you can use spotlights to light vast areas
: and still produce high quality shadows for a small selected area without
: using gobs of memory. But if you plan on producing shadows over a very
: large area with lots of small detail, you have to either use very large
: shadow maps or resort to tracing. As Allen has pointed out in previous
: posts, 24MB were consumed just for shadow maps in the Pixar film, Luxo Jr.
: And that didn't even span a large area.

	This looks like another reason to implement negative lights...

	One could set a light to illuminate a large area... then set
	a smaller spot to illuminate only the areas that need shadow
	mapping, then parent a negative light to it with the same cone
	angle, to subtract the broad illumination of the first light.

	Hmmmm... facinating.

	-Mike-